Retrieve refund instruction

View as MarkdownOpen in Claude
Use this method to retrieve information about a refund instruction. To retrieve a refund instruction, you need its refundInstructionId. Our gateway returned the refundInstructionId in the response of the [Submit Refund Instruction](https://docs.payroc.com/api/schema/payroc-cloud/refund-instructions/submit) method. Our gateway returns the status of the refund instruction. If the payment device completed the refund instruction, the response also includes a link to the refund.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

refundInstructionIdstringRequired1-36 characters
Unique identifier that we assigned to the refund instruction.

Response

Successful request. Returns the current status of the requested refund instruction.
statusenum
Indicates the current status of the instruction. - `canceled` – The instruction was canceled before it was completed. - `completed` – The instruction has completed. Use the link object to check the resource. - `failure` – The instruction failed. Check the errorMessage field for more information. - `inProgress` – The instruction is currently in progress.
Allowed values:
refundInstructionIdstring1-36 characters
Unique identifier that we assigned to the refund instruction.
errorMessagestring

Description of the error that caused the instruction to fail.

Note: We return this field only if the status is failure.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error